## node-js-beautify 1.10.3+dfsg

=== Makefile ===
PROJECT_ROOT=$(dir $(realpath $(firstword $(MAKEFILE_LIST))))
BUILD_DIR=$(PROJECT_ROOT)build
SCRIPT_DIR=$(PROJECT_ROOT)tools
SHELL=/bin/bash
PYTHON=$(SCRIPT_DIR)/python
NODE=$(SCRIPT_DIR)/node
NPM=$(SCRIPT_DIR)/npm

all: depends generate-tests js beautify py package jstest pytest perf

help:
	@echo "make <action>"
	@echo "    all       - build both implementations"
	@echo "    static    - serve static version of site locally"
	@echo "    js        - build javascript"
	@echo "    py        - build python"
	@echo "    alltest   - test both implementations, js and python"
	@echo "    pytest    - test python implementation"
	@echo "    jstest    - test javascript implementation"

ci: all git-status-clear

static: js/lib/*.js
	@./node_modules/.bin/static -H '{"Cache-Control": "no-cache, must-revalidate"}'

js: generate-tests js/lib/*.js
	@echo Testing node beautify functionality...
	./node_modules/.bin/mocha --recursive js/test && \
		./js/test/node-src-index-tests.js

py: generate-tests $(BUILD_DIR)/python
	@echo Testing python beautify functionality...
	$(SCRIPT_DIR)/python-dev python python/js-beautify-test.py || exit 1

jstest: depends js build/*.tgz
	@echo Testing javascript implementation...
	@$(NODE) js/test/node-beautify-tests.js || exit 1
	@$(NODE) js/test/amd-beautify-tests.js || exit 1
	@$(NODE) --version && \
		./js/test/shell-test.sh

pytest: depends py python/dist/*
	@echo Testing python implementation...
	@cd python && \
		$(PYTHON) --version && \
		./jsbeautifier/tests/shell-test.sh

alltest: jstest pytest

package: js py build/*.tgz python/dist/*


perf:
	@echo ----------------------------------------
	@echo Testing node js beautify performance...
	$(NODE) js/test/node-beautify-perf-tests.js || exit 1
	@echo Testing node css beautify performance...
	$(NODE) js/test/node-beautify-css-perf-tests.js || exit 1
	@echo Testing html-beautify performance...
	$(NODE) js/test/node-beautify-html-perf-tests.js || exit 1
	@echo Testing python js beautify performance...
	$(SCRIPT_DIR)/python-dev python python/test-perf-jsbeautifier.py || exit 1
	@echo Testing python css beautify performance...
	$(SCRIPT_DIR)/python-dev python python/test-perf-cssbeautifier.py || exit 1
	@echo ----------------------------------------

generate-tests: $(BUILD_DIR)/generate

beautify:
	$(SCRIPT_DIR)/build.sh beautify

# Build
#######################################################

# javascript bundle generation
js/lib/*.js: $(BUILD_DIR)/node $(BUILD_DIR)/generate $(wildcard js/src/*) $(wildcard js/src/**/*) $(wildcard web/*.js) js/index.js tools/template/* webpack.config.js
	$(SCRIPT_DIR)/build.sh js


# python package generation
python/dist/*: $(BUILD_DIR)/python $(wildcard python/**/*.py) python/jsbeautifier/*
	@echo Building python package...
	rm -f python/dist/*
	@cd python && \
		$(PYTHON) setup.py sdist
	$(SCRIPT_DIR)/python-rel pip install -U python/dist/*

# python package generation
build/*.tgz: js/lib/*.js
	@echo Building node package...
	mkdir -p build/node_modules
	rm -f build/*.tgz
	rm -rf node_modules/js-beautify
	$(NPM) pack && mv *.tgz build/
	cd build && \
		$(NPM) install ./*.tgz

# Test generation
$(BUILD_DIR)/generate: $(BUILD_DIR)/node test/generate-tests.js $(wildcard test/data/**/*)
	@echo Generating tests...
	$(NODE) test/generate-tests.js
	@touch $(BUILD_DIR)/generate


# Handling dependencies
#######################################################
depends: $(BUILD_DIR)/node $(BUILD_DIR)/python
	@$(NODE) --version
	@$(PYTHON) --version

# update dependencies information
update: depends
	npm update

# when we pull dependencies also pull docker image
# without this images can get stale and out of sync from CI system
$(BUILD_DIR)/node: package.json package-lock.json | $(BUILD_DIR)
	@$(NODE) --version
	$(NPM) install
	$(NPM) --version
	@touch $(BUILD_DIR)/node

$(BUILD_DIR)/python: python/setup.py | $(BUILD_DIR) $(BUILD_DIR)/virtualenv
	@$(PYTHON) --version
	$(SCRIPT_DIR)/python-dev pip install -e ./python
	@touch $(BUILD_DIR)/python

$(BUILD_DIR)/virtualenv: | $(BUILD_DIR)
	virtualenv --version || pip install virtualenv
	virtualenv build/python-dev
	virtualenv build/python-rel
	@touch $(BUILD_DIR)/virtualenv



# Miscellaneous tasks
#######################################################
$(BUILD_DIR):
	mkdir -p $(BUILD_DIR)

git-status-clear:
	$(SCRIPT_DIR)/git-status-clear.sh

clean:
	git clean -xfd
#######################################################

.PHONY: all beautify clean depends generate-tests git-status-clear help static update

## node-js-beautify 1.7.5+dfsg

=== debian/changelog ===
node-js-beautify (1.7.5+dfsg-3) unstable; urgency=medium

  * Team upload
  * Add SHELL=/bin/bash in debian/rules to make build reproducible. Thanks to
    Chris Lamb (Closes: #924458)
  * Fix install (Closes: #927868)
  * Add test on css-beautify and html-beautify

 -- Xavier Guimard <yadd@debian.org>  Wed, 24 Apr 2019 13:39:16 +0200

node-js-beautify (1.7.5+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Paolo Greppi ]
  * Bump standard version
  * Bump debhelper compat
  * Fix nodejs binary
  * Remove /usr/bin/js-beautify link (Closes: #888860)

  [ Xavier Guimard ]
  * Add tests
  * Fix install
  * Add jsbeautifier in recommended dependencies
  * Add upstream/metadata
  * Update lintian-overrides
  * Update homepage
  * Add node-sigmund and node-semver in dependencies (Closes: #915100)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 04 Feb 2019 13:57:47 +0100

node-js-beautify (1.7.5+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #888122)

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Jan 2018 21:11:56 +0530

=== debian/control ===
Source: node-js-beautify
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11)
 , nodejs
 , node-mustache
 , node-sigmund
 , node-config-chain
 , node-nopt
 , node-semver
 , pkg-js-tools
 , webpack
Standards-Version: 4.3.0
Homepage: https://beautifier.io/
Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify

Package: node-js-beautify
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-config-chain
 , node-mkdirp
 , node-nopt
 , node-semver
 , node-sigmund
Recommends: jsbeautifier
Description: beautifier.io for node
 This little beautifier will reformat and reindent bookmarklets, ugly
 JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
 deobfuscate scripts processed by javascriptobfuscator.com.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SHELL=/bin/bash
export NODE_PATH=debian/node_modules

%:
	dh $@ --with nodejs

override_dh_auto_build:
	./build js

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-js-beautify/usr/lib/nodejs/js-beautify/js/bin/*
	chmod +x debian/node-js-beautify/usr/lib/nodejs/js-beautify/js/lib/cli.js
	chmod +x debian/node-js-beautify/usr/lib/nodejs/js-beautify/node_modules/editorconfig/bin/editorconfig

override_dh_auto_clean:
	rm -rf dist js/lib/beautify*
	rm -rf web python/jsbeautifier/unpackers

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: node-js-beautify, pkg-js-autopkgtest
Restrictions: superficial

Test-Command: ./debian/tests/runner
Depends: @, @builddeps@

=== debian/watch ===
version=3
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/beautify-web/js-beautify
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/js-beautify .*=js-beautify-(\d*\.\d*\.\d*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-js-beautify 1.10.2+dfsg

=== debian/changelog ===
node-js-beautify (1.10.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * Add node-lru-cache in dependencies (Closes: #929897)
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Switch to debhelper-compat
  * Switch build, links and install to pkg-js-tools
  * Add binaries test in autopkgtest
  * Embed editorconfig as component
  * Update files excluded list
  * New upstream version 1.10.2+dfsg
  * Add debian/clean and update files to clean
  * Update patch
  * Generate manpages using help2man
  * Update debian/copyright
  * Update lintian overrides
  * Add node-glob in dependencies
  * Install js/src
  * Update autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Thu, 05 Sep 2019 17:45:03 +0200

=== debian/control ===
Source: node-js-beautify
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , help2man
 , nodejs
 , node-config-chain
 , node-glob
 , node-lru-cache
 , node-mustache
 , node-nopt
 , node-semver
 , node-sigmund
 , pkg-js-tools (>= 0.7)
 , webpack
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
Homepage: https://beautifier.io/

Package: node-js-beautify
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-config-chain
 , node-glob
 , node-mkdirp
 , node-lru-cache
 , node-nopt
 , node-semver
 , node-sigmund
Recommends: jsbeautifier
Description: beautifier.io for node
 This little beautifier will reformat and reindent bookmarklets, ugly
 JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as
 deobfuscate scripts processed by javascriptobfuscator.com.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-js-beautify 1.10.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
  , node-sigmund
  , pkg-js-tools (>= 0.7)
  , webpack
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
 Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
 Homepage: https://beautifier.io/
+Rules-Requires-Root: no
 
 Package: node-js-beautify
 Architecture: all

## node-js-beautify 1.10.3+dfsg

=== debian/changelog ===
node-js-beautify (1.10.3+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * New upstream version 1.10.3+dfsg
  * Update lintian override

 -- Xavier Guimard <yadd@debian.org>  Thu, 06 Feb 2020 16:54:34 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SHELL=/bin/bash
export NODE_PATH=debian/node_modules

%:
	dh $@ --with nodejs

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/js/bin/*
	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/js/lib/cli.js
	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/node_modules/editorconfig/bin/editorconfig

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 Test-Command: ./debian/tests/runner
 Depends: @, @builddeps@
+
+Tests: usage
+Depends: @

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+dfsg,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-beautify-.tar.gz/ \
 https://github.com/beautify-web/js-beautify/tags .*/archive/v?([\d\.]+).tar.gz

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=editorconfig,pgpmode=none" \
 https://registry.npmjs.org/editorconfig https://registry.npmjs.org/editorconfig/-/editorconfig-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-js-beautify 1.11.0+dfsg

=== debian/changelog ===
node-js-beautify (1.11.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Install component in nodejs root dir
  * Build-require dh-sequence-nodejs ≥ 0.9.57~ (fixes autopkgtest)

 -- Xavier Guimard <yadd@debian.org>  Thu, 17 Dec 2020 13:34:20 +0100

node-js-beautify (1.11.0+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Use dh-sequence-nodejs
  * Fix build (Closes: #976488)
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 17:45:37 +0100

node-js-beautify (1.11.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.11.0+dfsg
  * Add "Provides: css-beautify, html-beautify"

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 May 2020 10:34:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , help2man
  , nodejs
  , node-config-chain
@@ -14,9 +14,10 @@
  , node-nopt
  , node-semver
  , node-sigmund
- , pkg-js-tools (>= 0.7)
+ , node-typescript
+ , dh-sequence-nodejs (>= 0.9.57~)
  , webpack
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
 Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
 Homepage: https://beautifier.io/
@@ -35,6 +36,9 @@
  , node-semver
  , node-sigmund
 Recommends: jsbeautifier
+Provides: ${nodejs:Provides}
+ , css-beautify
+ , html-beautify,
 Description: beautifier.io for node
  This little beautifier will reformat and reindent bookmarklets, ugly
  JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as

=== debian/watch ===
--- 
+++ 
@@ -7,5 +7,5 @@
 
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
-opts="searchmode=plain,component=editorconfig,pgpmode=none" \
+opts="searchmode=plain,ctype=nodejs,component=editorconfig,pgpmode=none" \
  https://registry.npmjs.org/editorconfig https://registry.npmjs.org/editorconfig/-/editorconfig-([\d\.]+)@ARCHIVE_EXT@ ignore

## node-js-beautify 1.13.0+dfsg

=== debian/changelog ===
node-js-beautify (1.13.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Use autopkgtest-pkg-nodejs testsuite
  * New upstream version 1.13.0+dfsg

 -- Xavier Guimard <yadd@debian.org>  Wed, 23 Dec 2020 17:55:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends:
- debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs (>= 0.9.57~)
  , help2man
- , nodejs
  , node-config-chain
  , node-glob
  , node-lru-cache
@@ -15,7 +15,7 @@
  , node-semver
  , node-sigmund
  , node-typescript
- , dh-sequence-nodejs (>= 0.9.57~)
+ , nodejs
  , webpack
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
@@ -25,20 +25,19 @@
 
 Package: node-js-beautify
 Architecture: all
-Depends:
- ${misc:Depends}
- , nodejs
+Depends: ${misc:Depends}
  , node-config-chain
  , node-glob
+ , node-lru-cache
  , node-mkdirp
- , node-lru-cache
  , node-nopt
  , node-semver
  , node-sigmund
+ , nodejs
 Recommends: jsbeautifier
 Provides: ${nodejs:Provides}
  , css-beautify
- , html-beautify,
+ , html-beautify
 Description: beautifier.io for node
  This little beautifier will reformat and reindent bookmarklets, ugly
  JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as

## node-js-beautify 1.13.5+dfsg+~0.15.3

=== debian/changelog ===
node-js-beautify (1.13.5+dfsg+~0.15.3-1) unstable; urgency=medium

  * Team upload
  * Fix css-beautify and html-beautify versions
  * Use uscan groups
  * Exclude python files from import
  * New upstream version 1.13.5+dfsg+~0.15.3

 -- Xavier Guimard <yadd@debian.org>  Fri, 15 Jan 2021 08:18:23 +0100

## node-js-beautify 1.13.6%2Bdfsg%2B~0.15.3

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+dfsg,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-beautify-.tar.gz/ \
 https://github.com/beautify-web/js-beautify/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=editorconfig,pgpmode=none" \
 https://registry.npmjs.org/editorconfig https://registry.npmjs.org/editorconfig/-/editorconfig-([\d\.]+)@ARCHIVE_EXT@ group

## node-js-beautify 1.13.6+dfsg+~0.15.3

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 help:
 	@echo "make <action>"
 	@echo "    all       - build both implementations"
-	@echo "    static    - serve static version of site locally"
+	@echo "    serve    - serve site locally from localhost:8080"
 	@echo "    js        - build javascript"
 	@echo "    py        - build python"
 	@echo "    alltest   - test both implementations, js and python"
@@ -20,8 +20,8 @@
 
 ci: all git-status-clear
 
-static: js/lib/*.js
-	@./node_modules/.bin/static -H '{"Cache-Control": "no-cache, must-revalidate"}'
+serve: js/lib/*.js
+	@./node_modules/.bin/serve
 
 js: generate-tests js/lib/*.js
 	@echo Testing node beautify functionality...
@@ -30,6 +30,7 @@
 
 py: generate-tests $(BUILD_DIR)/python
 	@echo Testing python beautify functionality...
+	$(SCRIPT_DIR)/python-dev3 black --config=python/pyproject.toml python
 	$(SCRIPT_DIR)/python-dev python python/js-beautify-test.py || exit 1
 
 jstest: depends js build/*.tgz
@@ -78,12 +79,20 @@
 
 
 # python package generation
-python/dist/*: $(BUILD_DIR)/python $(wildcard python/**/*.py) python/jsbeautifier/*
+python/dist/*: $(BUILD_DIR)/python $(wildcard python/**/*.py) python/jsbeautifier/* python/cssbeautifier/*
 	@echo Building python package...
-	rm -f python/dist/*
+	@rm -f python/dist/*
 	@cd python && \
-		$(PYTHON) setup.py sdist
-	$(SCRIPT_DIR)/python-rel pip install -U python/dist/*
+		cp setup-css.py setup.py && \
+		$(PYTHON) setup.py sdist && \
+		rm setup.py
+	@cd python && \
+		cp setup-js.py setup.py && \
+		$(PYTHON) setup.py sdist && \
+		rm setup.py
+	# Order matters here! Install css then js to make sure the local dist version of js is used
+	$(SCRIPT_DIR)/python-rel pip install -U python/dist/cssbeautifier*
+	$(SCRIPT_DIR)/python-rel pip install -U python/dist/jsbeautifier*
 
 # python package generation
 build/*.tgz: js/lib/*.js
@@ -120,15 +129,21 @@
 	$(NPM) --version
 	@touch $(BUILD_DIR)/node
 
-$(BUILD_DIR)/python: python/setup.py | $(BUILD_DIR) $(BUILD_DIR)/virtualenv
+$(BUILD_DIR)/python: python/setup-js.py python/setup-css.py | $(BUILD_DIR) $(BUILD_DIR)/virtualenv
 	@$(PYTHON) --version
+	# Order matters here! Install css then js to make sure the local dist version of js is used
+	@cp ./python/setup-css.py ./python/setup.py
 	$(SCRIPT_DIR)/python-dev pip install -e ./python
+	@cp ./python/setup-js.py ./python/setup.py
+	$(SCRIPT_DIR)/python-dev pip install -e ./python
+	@rm ./python/setup.py
 	@touch $(BUILD_DIR)/python
 
 $(BUILD_DIR)/virtualenv: | $(BUILD_DIR)
 	virtualenv --version || pip install virtualenv
 	virtualenv build/python-dev
 	virtualenv build/python-rel
+	$(SCRIPT_DIR)/python-dev3 pip install black
 	@touch $(BUILD_DIR)/virtualenv
 
 
@@ -145,5 +160,5 @@
 	git clean -xfd
 #######################################################
 
-.PHONY: all beautify clean depends generate-tests git-status-clear help static update
+.PHONY: all beautify clean depends generate-tests git-status-clear help serve update

=== debian/changelog ===
node-js-beautify (1.13.6+dfsg+~0.15.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.13.6+dfsg+~0.15.3

 -- Xavier Guimard <yadd@debian.org>  Wed, 27 Jan 2021 15:22:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 12)
  , dh-sequence-nodejs (>= 0.9.57~)
  , help2man
  , node-config-chain
@@ -36,8 +36,8 @@
  , nodejs
 Recommends: jsbeautifier
 Provides: ${nodejs:Provides}
- , css-beautify
- , html-beautify
+ , css-beautify (= ${binary:Version})
+ , html-beautify (= ${binary:Version})
 Description: beautifier.io for node
  This little beautifier will reformat and reindent bookmarklets, ugly
  JavaScript, unpack scripts packed by Dean Edward’s popular packer, as well as

## node-js-beautify 1.14.0%2Bdfsg%2B~0.15.3

=== Makefile ===
--- 
+++ 
@@ -79,7 +79,7 @@
 
 
 # python package generation
-python/dist/*: $(BUILD_DIR)/python $(wildcard python/**/*.py) python/jsbeautifier/* python/cssbeautifier/*
+python/dist/*: $(BUILD_DIR)/python $(BUILD_DIR)/generate $(wildcard python/**/*.py) python/jsbeautifier/* python/cssbeautifier/*
 	@echo Building python package...
 	@rm -f python/dist/*
 	@cd python && \
@@ -129,7 +129,7 @@
 	$(NPM) --version
 	@touch $(BUILD_DIR)/node
 
-$(BUILD_DIR)/python: python/setup-js.py python/setup-css.py | $(BUILD_DIR) $(BUILD_DIR)/virtualenv
+$(BUILD_DIR)/python: $(BUILD_DIR)/generate python/setup-js.py python/setup-css.py | $(BUILD_DIR) $(BUILD_DIR)/virtualenv
 	@$(PYTHON) --version
 	# Order matters here! Install css then js to make sure the local dist version of js is used
 	@cp ./python/setup-css.py ./python/setup.py

## node-js-beautify 1.14.0+dfsg+~0.15.3

=== debian/changelog ===
node-js-beautify (1.14.0+dfsg+~0.15.3-1) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * New upstream version 1.14.0+dfsg+~0.15.3
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Fri, 26 Nov 2021 09:35:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs (>= 0.9.57~)
  , help2man
  , node-config-chain
@@ -17,7 +17,7 @@
  , node-typescript
  , nodejs
  , webpack
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
 Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
 Homepage: https://beautifier.io/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SHELL=/bin/bash
export NODE_PATH=debian/node_modules

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/js/bin/*
	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/js/lib/cli.js

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
repacksuffix=+dfsg,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/node-js-beautify-$1/ \
 https://github.com/beautify-web/js-beautify/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=editorconfig,pgpmode=none,filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/node-editorconfig-$1/" \
 https://registry.npmjs.org/editorconfig https://registry.npmjs.org/editorconfig/-/editorconfig-([\d\.]+)@ARCHIVE_EXT@ group

## node-js-beautify 1.14.6+dfsg+~cs1.28.6

=== debian/changelog ===
node-js-beautify (1.14.6+dfsg+~cs1.28.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.14.6+dfsg+~cs1.28.6

 -- Yadd <yadd@debian.org>  Wed, 24 Aug 2022 08:56:38 +0200

node-js-beautify (1.14.5+dfsg+~cs1.28.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.14.5+dfsg+~cs1.28.6

 -- Yadd <yadd@debian.org>  Sun, 07 Aug 2022 21:57:48 +0200

node-js-beautify (1.14.4+dfsg+~cs1.28.6-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Embed typescript declarations
  * squash
  * New upstream version 1.14.4+dfsg+~cs1.28.6

 -- Yadd <yadd@debian.org>  Fri, 24 Jun 2022 06:17:01 +0200

node-js-beautify (1.14.3+dfsg+~0.15.3-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Fix field name case in debian/tests/control (Test-command => Test-Command).

  [ Yadd ]
  * New upstream version 1.14.3+dfsg+~0.15.3

 -- Yadd <yadd@debian.org>  Sun, 10 Apr 2022 08:29:16 +0200

node-js-beautify (1.14.2+dfsg+~0.15.3-2) unstable; urgency=medium

  * Team upload
  * Use dh_installalternatives instead of custom postint/prerm, Thanks to
    Håvard F. Aasen
  * Provides js-beautify as alternative, breaks: jsbeautifier < 1.14.2~
    (Closes: #934141)
  * Fix manpages
  * Update description

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 15:59:17 +0200

node-js-beautify (1.14.2+dfsg+~0.15.3-1) unstable; urgency=medium

  * Team upload
  * Update nodejs dependency to nodejs:any
  * New upstream version 1.14.2+dfsg+~0.15.3
  * Replace css-beautify and html-beautify links by alternative (See: #934141)
  * Add recommended dependency to node-commander

 -- Yadd <yadd@debian.org>  Wed, 30 Mar 2022 09:31:31 +0200

## node-js-beautify 1.14.7+dfsg+~cs1.28.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PROJECT_ROOT=$(dir $(realpath $(firstword $(MAKEFILE_LIST))))
+PROJECT_ROOT=$(subst \,/,$(dir $(realpath $(firstword $(MAKEFILE_LIST)))))
 BUILD_DIR=$(PROJECT_ROOT)build
 SCRIPT_DIR=$(PROJECT_ROOT)tools
 SHELL=/bin/bash
@@ -119,14 +119,15 @@
 
 # update dependencies information
 update: depends
-	npm update
+	@rm package-lock.json
+	$(NPM) update --save
 
 # when we pull dependencies also pull docker image
 # without this images can get stale and out of sync from CI system
 $(BUILD_DIR)/node: package.json package-lock.json | $(BUILD_DIR)
 	@$(NODE) --version
-	$(NPM) install
 	$(NPM) --version
+	$(NPM) install 
 	@touch $(BUILD_DIR)/node
 
 $(BUILD_DIR)/python: $(BUILD_DIR)/generate python/setup-js.py python/setup-css.py | $(BUILD_DIR) $(BUILD_DIR)/virtualenv
@@ -143,6 +144,8 @@
 	virtualenv --version || pip install virtualenv
 	virtualenv build/python-dev
 	virtualenv build/python-rel
+	$(SCRIPT_DIR)/python-dev python -m pip install --upgrade pip || exit 0
+	$(SCRIPT_DIR)/python-rel python -m pip install --upgrade pip || exit 0
 	$(SCRIPT_DIR)/python-dev3 pip install black
 	@touch $(BUILD_DIR)/virtualenv

=== debian/changelog ===
node-js-beautify (1.14.7+dfsg+~cs1.28.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.14.7+dfsg+~cs1.28.6

 -- Yadd <yadd@debian.org>  Sun, 23 Oct 2022 17:52:39 +0200

=== debian/control ===
Source: node-js-beautify
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.9.57~)
 , help2man
 , node-config-chain
 , node-glob
 , node-lru-cache
 , node-mustache
 , node-nopt
 , node-semver
 , node-sigmund
 , node-typescript
 , webpack
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
Homepage: https://beautifier.io/
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-js-beautify
Architecture: all
Depends: ${misc:Depends}
 , node-config-chain
 , node-glob
 , node-lru-cache
 , node-nopt
 , node-semver
 , node-sigmund
 , nodejs:any
Recommends: node-commander
Replaces: jsbeautifier (<< 1.14.2~)
Breaks: jsbeautifier (<< 1.14.2~)
Provides: ${nodejs:Provides}
 , css-beautify (= ${binary:Version})
 , html-beautify (= ${binary:Version})
 , js-beautify (= ${binary:Version})
Description: JavaScript, CSS and HTML unobfuscator and beautifier
 These little beautifiers will reformat and reindent bookmarklets, ugly
 JavaScript/CSS/HTML, unpack scripts packed by Dean Edward's popular packer
 as well as deobfuscate scripts processed by javascriptobfuscator.com.
 .
 This package provides also Node.js libraries.

=== debian/watch ===
--- 
+++ 
@@ -8,4 +8,9 @@
 # It is not recommended use npmregistry. Please investigate more.
 # Take a look at https://wiki.debian.org/debian/watch/
 opts="searchmode=plain,ctype=nodejs,component=editorconfig,pgpmode=none,filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/node-editorconfig-$1/" \
- https://registry.npmjs.org/editorconfig https://registry.npmjs.org/editorconfig/-/editorconfig-([\d\.]+)@ARCHIVE_EXT@ group
+ https://registry.npmjs.org/editorconfig https://registry.npmjs.org/editorconfig/-/editorconfig-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-js-beautify,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-js-beautify-$1/" \
+ https://registry.npmjs.org/@types/js-beautify https://registry.npmjs.org/@types/js-beautify/-/js-beautify-([\d\.]+)@ARCHIVE_EXT@ checksum

## node-js-beautify 1.15.4%2Bdfsg%2B~cs1.31.6

=== debian/changelog ===
node-js-beautify (1.15.4+dfsg+~cs1.31.6-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version

 -- Yadd <yadd@debian.org>  Mon, 03 Mar 2025 12:02:26 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,4 @@
 	dh_fixperms
 	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/js/bin/*
 	chmod +x debian/node-js-beautify/usr/share/nodejs/js-beautify/js/lib/cli.js
+	chmod +x debian/node-js-beautify/usr/share/nodejs/editorconfig/bin/editorconfig

## node-js-beautify 1.15.4+dfsg+~cs1.31.6

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , node-sigmund
  , node-typescript
  , webpack
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-js-beautify
 Vcs-Git: https://salsa.debian.org/js-team/node-js-beautify.git
 Homepage: https://beautifier.io/

=== debian/tests/control ===
Depends: @
Features: test-name=binaries-help
Test-Command: js-beautify --help && css-beautify --help && html-beautify --help
